searchData={"items":[{"type":"module","title":"SQLFormatter","doc":"","ref":"SQLFormatter.html"},{"type":"function","title":"SQLFormatter.format/2","doc":"Formats a SQL string.","ref":"SQLFormatter.html#format/2"},{"type":"function","title":"Options - SQLFormatter.format/2","doc":"- `:indent`: The number of spaces to indent the formatted SQL. Defaults to 2.\n- `:uppercase`: Whether to use uppercase for keywords. Defaults to `false`.\n- `:lines_between_queries`: The number of lines to insert between queries. Defaults to 1.","ref":"SQLFormatter.html#format/2-options"},{"type":"function","title":"Examples - SQLFormatter.format/2","doc":"```elixir\nSQLFormatter.format(\"SELECT * FROM users\")\n#=>\n\"\"\"\nSELECT\n  *\nFROM\n  users\n\"\"\"\n```\n\n```elixir\nSQLFormatter.format(\"SELECT * FROM users\", indent: 4)\n#=>\n\"\"\"\nSELECT\n    *\nFROM\n    users\n\"\"\"\n```","ref":"SQLFormatter.html#format/2-examples"},{"type":"type","title":"SQLFormatter.opts/0","doc":"","ref":"SQLFormatter.html#t:opts/0"},{"type":"module","title":"SQLFormatter.Assertions","doc":"Helper functions for SQL formatting tests.\n\nThis module provides utilities for testing SQL formatting, particularly useful\nfor libraries that extend or customize SQLFormatter.","ref":"SQLFormatter.Assertions.html"},{"type":"module","title":"Example - SQLFormatter.Assertions","doc":"defmodule MyFormatterTest do\n      use ExUnit.Case\n      import SQLFormatter.Assertions, only: [assert_sql_equal: 2]\n\n      test \"formats my custom SQL\" do\n        assert_sql_equal(\n          MyFormatter.format(\"SELECT * FROM table\"),\n          \"\"\"\n          SELECT\n            *\n          FROM\n            table\n          \"\"\"\n        )\n      end\n    end","ref":"SQLFormatter.Assertions.html#module-example"},{"type":"macro","title":"SQLFormatter.Assertions.assert_sql_equal/2","doc":"Asserts that two SQL strings are equal, ignoring insignificant whitespace differences.\n\nProvides a detailed diff output when the assertion fails, making it easier to spot\nformatting differences between the expected and actual SQL.","ref":"SQLFormatter.Assertions.html#assert_sql_equal/2"},{"type":"macro","title":"Examples - SQLFormatter.Assertions.assert_sql_equal/2","doc":"assert_sql_equal(\n      \"SELECT * FROM users\",\n      \"\"\"\n      SELECT\n        *\n      FROM\n        users\n      \"\"\"\n    )","ref":"SQLFormatter.Assertions.html#assert_sql_equal/2-examples"},{"type":"macro","title":"SQLFormatter.Assertions.refute_sql_equal/2","doc":"Asserts that two SQL strings are not equal, ignoring insignificant whitespace differences.\n\nProvides a detailed diff output when the assertion fails, making it easier to spot\nformatting differences between the expected and actual SQL.","ref":"SQLFormatter.Assertions.html#refute_sql_equal/2"},{"type":"macro","title":"Examples - SQLFormatter.Assertions.refute_sql_equal/2","doc":"refute_sql_equal(\n      \"SELECT * FROM users\",\n      \"SELECT * FROM user\"\n    )","ref":"SQLFormatter.Assertions.html#refute_sql_equal/2-examples"},{"type":"module","title":"SQLFormatter.ExUnit.CLIFormatter","doc":"Formats ExUnit test results for SQL strings. This mostly delegates to the default formatter, but also formats SQL string error output for better readability.","ref":"SQLFormatter.ExUnit.CLIFormatter.html"},{"type":"function","title":"SQLFormatter.ExUnit.CLIFormatter.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"SQLFormatter.ExUnit.CLIFormatter.html#child_spec/1"},{"type":"function","title":"SQLFormatter.ExUnit.CLIFormatter.init/1","doc":"","ref":"SQLFormatter.ExUnit.CLIFormatter.html#init/1"},{"type":"module","title":"SQLFormatter.NIF","doc":"","ref":"SQLFormatter.NIF.html"},{"type":"function","title":"SQLFormatter.NIF.format/2","doc":"","ref":"SQLFormatter.NIF.html#format/2"},{"type":"module","title":"SQLFormatter.Opts","doc":"","ref":"SQLFormatter.Opts.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}